aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authortulku <tulku@32389bae-6d03-0410-99cf-db05cde120eb>2005-11-16 18:13:11 +0000
committertulku <tulku@32389bae-6d03-0410-99cf-db05cde120eb>2005-11-16 18:13:11 +0000
commit1aec7c159aa4e795e984f35b55b885aece05c587 (patch)
treea3254e666aba706fce84f1a5da06029d57a4e16e /sci-misc/emu
parentAdded new ebuild for linsmith-0.9.2 (diff)
downloadsci-1aec7c159aa4e795e984f35b55b885aece05c587.tar.gz
sci-1aec7c159aa4e795e984f35b55b885aece05c587.tar.bz2
sci-1aec7c159aa4e795e984f35b55b885aece05c587.zip
Adding emu-1.10 form bug #98051
git-svn-id: http://overlays.gentoo.org/svn/proj/science/overlay@18 32389bae-6d03-0410-99cf-db05cde120eb
Diffstat (limited to 'sci-misc/emu')
-rw-r--r--sci-misc/emu/ChangeLog9
-rw-r--r--sci-misc/emu/Manifest4
-rw-r--r--sci-misc/emu/emu-1.10.ebuild60
-rw-r--r--sci-misc/emu/files/digest-emu-1.101
-rw-r--r--sci-misc/emu/metadata.xml14
5 files changed, 88 insertions, 0 deletions
diff --git a/sci-misc/emu/ChangeLog b/sci-misc/emu/ChangeLog
new file mode 100644
index 000000000..b46038656
--- /dev/null
+++ b/sci-misc/emu/ChangeLog
@@ -0,0 +1,9 @@
+# ChangeLog for sci-electronics/linsmith
+# Copyright 1999-2005 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+* emu-1.10 (16 Nov 2005)
+
+ 16 Nov 2005; Lucas Chiesa <lucas.chiesa@gmail.com> emu-1.10.ebuild:
+ Initial import of sci-misc/emu. Thanks Flammie Pirinen
+ <flammie@gentoo.org> for the ebuild. Closes bug #98051.
diff --git a/sci-misc/emu/Manifest b/sci-misc/emu/Manifest
new file mode 100644
index 000000000..a14a8cb19
--- /dev/null
+++ b/sci-misc/emu/Manifest
@@ -0,0 +1,4 @@
+MD5 1b27db690ed47410d94f8e5610217865 emu-1.10.ebuild 1470
+MD5 ea858a49c347cf1c0c8d57d72f8d3393 ChangeLog 318
+MD5 9271ae8afce816b82f9f5e2096637e33 metadata.xml 379
+MD5 0e32c48fb9d9b309c50cbebeac4ad549 files/digest-emu-1.10 65
diff --git a/sci-misc/emu/emu-1.10.ebuild b/sci-misc/emu/emu-1.10.ebuild
new file mode 100644
index 000000000..dec703bf1
--- /dev/null
+++ b/sci-misc/emu/emu-1.10.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2005 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+DESCRIPTION="EMU Speech Database System"
+HOMEPAGE="http://emu.sourceforge.net"
+SRC_URI="mirror://sourceforge/${PN}/${P}-src.tar.gz"
+
+LICENSE="as-is" # or EMU?
+SLOT="0"
+KEYWORDS="~x86"
+IUSE="R esps estools nist-sphere nas X"
+
+DEPEND=">=dev-lang/tcl-8.4
+ X? ( virtual/x11 )"
+RDEPEND=">=dev-lang/tcl-8.3
+ >=dev-lang/tk-8.3
+ dev-tcltk/bwidget
+ dev-tcltk/tcllib
+ R? ( dev-lang/R )
+ X? ( virtual/x11 )"
+# !R? ( splus )
+# esps? ( esps )
+# estools? ( estools )
+# nist-sphere? ( nist-sphere )
+
+S=${WORKDIR}/${P}-src
+
+src_unpack() {
+ unpack ${A}
+ # This tcl install script is partially braindamaged
+ cd ${S}
+ sed -i "s:\$(WISH) ./doinstall.tcl$:\0 --prefix=${D}/usr/ \
+ --tcl_prefix=${D}/usr/ --bin=${D}/usr/bin/ --auto:g" Makefile.in
+}
+
+src_compile() {
+ myconf="--with-tcl=/usr/lib/ --with-tk=/usr/lib/"
+ # --without selectors do not work here:
+ # $(use_with esps) $(use_with estools) $(use_with nist-sphere nist) \
+ # $(use_with nas)"
+ use esps && myconf="$myconf --with-esps"
+ use estools && myconf="$myconf --with-estools"
+ use nist-sphere && myconf="$myconf --with-nist"
+ use nas && myconf="$myconf --with-nas"
+
+ econf $myconf || die "econf failed"
+ emake || die "emake failed"
+}
+
+src_install() {
+
+ make DESTDIR="${D}" install || die "install failed"
+ for f in ${D}/usr/bin/* ; do
+ sed -i "s|${D}||g" $f
+ done
+ dodoc README TODO
+ rm ${D}/usr/COPYING
+}
+
diff --git a/sci-misc/emu/files/digest-emu-1.10 b/sci-misc/emu/files/digest-emu-1.10
new file mode 100644
index 000000000..78a950fba
--- /dev/null
+++ b/sci-misc/emu/files/digest-emu-1.10
@@ -0,0 +1 @@
+MD5 e7ca320ca8bbc9707a81445e41fc1f68 emu-1.10-src.tar.gz 1725276
diff --git a/sci-misc/emu/metadata.xml b/sci-misc/emu/metadata.xml
new file mode 100644
index 000000000..8309cd46b
--- /dev/null
+++ b/sci-misc/emu/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>sci</herd>
+ <maintainer>
+ <email>flammie@gentoo.org</email>
+ <name>Flammie Pirinen</name>
+ </maintainer>
+ <longdescription lang="en">
+ EMU is a speech signal database handling and analysis tool
+ collection.
+ </longdescription>
+</pkgmetadata>
+